
#import "ApiError.h"
@interface BusinessErrors : NSObject
  
// description - Card expired
// message - Card expired
extern int const card_expired;

// description - Card suspicious
// message - Card suspicious
extern int const card_suspicious;

// description - Card suspended
// message - Card suspended
extern int const card_suspended;

// description - Card stolen
// message - Card stolen
extern int const card_stolen;

// description - Card lost
// message - Card lost
extern int const card_lost;

// description - Card not found
// message - Card not found
extern int const card_not_found;

// description - Cardholder not found
// message - Cardholder not found
extern int const cardholder_not_found;

// description - Account not found
// message - Account not found
extern int const account_not_found;

// description - Invalid request
// message - Invalid request
extern int const invalid_request;

// description - Not sufficient funds
// message - Not sufficient funds
extern int const not_sufficient_funds;

// description - Previously reversed
// message - Previously reversed
extern int const previously_reversed;

// description - Previously reversed
// message - Previously reversed
extern int const previously_reversed_1;

// description - Further activity prevents reversal
// message - Further activity prevents reversal
extern int const further_activity_prevents_reversal;

// description - Further activity prevents void
// message - Further activity prevents void
extern int const further_activity_prevents_void;

// description - Original transaction has been voided
// message - Original transaction has been voided
extern int const original_transaction_has_been_voided;

// description - Preauthorization is not allowed for this card
// message - Preauthorization is not allowed for this card
extern int const preauthorization_is_not_allowed_for_this_card;

// description - Only full 3D authentication is allowed for this card
// message - Only full 3D authentication is allowed for this card
extern int const only_full__d_authentication_is_allowed_for_this_card;

// description - Installments are not allowed for this card
// message - Installments are not allowed for this card
extern int const installments_are_not_allowed_for_this_card;

// description - Transaction with installments can not be send as preauthorization
// message - Transaction with installments can not be send as preauthorization
extern int const transaction_with_installments_can_not_be_send_as_preauthorization;

// description - Installments are not allowed for non ZABA cards
// message - Installments are not allowed for non ZABA cards
extern int const installments_are_not_allowed_for_non_zaba_cards;

// description - Transaction declined
// message - Transaction declined
extern int const transaction_declined;

// description - Missing fields
// message - Missing fields
extern int const missing_fields;

// description - Extra fields exist
// message - Extra fields exist
extern int const extra_fields_exist;

// description - Invalid card number
// message - Invalid card number
extern int const invalid_card_number;

// description - Card not active
// message - Card not active
extern int const card_not_active;

// description - Card not configured
// message - Card not configured
extern int const card_not_configured;

// description - Invalid amount
// message - Invalid amount
extern int const invalid_amount;

// description - System error
// message - System error
extern int const system_error;

// description - System error
// message - System error
extern int const system_error_1;

// description - Cardholder not active
// message - Cardholder not active
extern int const cardholder_not_active;

// description - Cardholder not configured
// message - Cardholder not configured
extern int const cardholder_not_configured;

// description - Cardholder expired
// message - Cardholder expired
extern int const cardholder_expired;

// description - Original not found
// message - Original not found
extern int const original_not_found;

// description - Usage limit reached
// message - Usage limit reached
extern int const usage_limit_reached;

// description - Configuration error
// message - Configuration error
extern int const configuration_error;

// description - Invalid terminal
// message - Invalid terminal
extern int const invalid_terminal;

// description - Inactive terminal
// message - Inactive terminal
extern int const inactive_terminal;

// description - Invalid merchant
// message - Invalid merchant
extern int const invalid_merchant;

// description - Duplicate entity
// message - Duplicate entity
extern int const duplicate_entity;

// description - Invalid acquirer
// message - Invalid acquirer
extern int const invalid_acquirer;

// description - Internal error
// message - Internal error
extern int const internal_error;

// description - Internal error
// message - Internal error
extern int const internal_error_1;

// description - Internal error
// message - Internal error
extern int const internal_error_2;

// description - Internal error
// message - Internal error
extern int const internal_error_3;

// description - 3D Secure error
// message - 3D Secure error
extern int const _d_secure_error;

// description - 3D Secure error
// message - 3D Secure error
extern int const _d_secure_error_1;

// description - 3D Secure error
// message - 3D Secure error
extern int const _d_secure_error_2;

// description - 3D secure error
// message - 3D secure error
extern int const _d_secure_error_3;

// description - Time expired
// message - Time expired
extern int const time_expired;

// description - Function not supported
// message - Function not supported
extern int const function_not_supported;

// description - Timeout
// message - Timeout
extern int const timeout_business;

// description - Authorization host not active
// message - Authorization host not active
extern int const authorization_host_not_active;

// description - System not ready
// message - System not ready
extern int const system_not_ready;

// description - Request in progress
// message - Request in progress
extern int const request_in_progress;

// description - RISK: Number of repeats per PAN
// message - RISK: Number of repeats per PAN
extern int const risk__number_of_repeats_per_pan;

// description - RISK: Number of repeats per BIN
// message - RISK: Number of repeats per BIN
extern int const risk__number_of_repeats_per_bin;

// description - RISK: Percentage of declined transactions
// message - RISK: Percentage of declined transactions
extern int const risk__percentage_of_declined_transactions;

// description - RISK: Number of refunded transactions
// message - RISK: Number of refunded transactions
extern int const risk__number_of_refunded_transactions;

// description - RISK: Percentage increment of sum on amount of refunded transactions
// message - RISK: Percentage increment of sum on amount of refunded transactions
extern int const risk__percentage_increment_of_sum_on_amount_of_refunded_transactions;

// description - RISK: Number of chargebacks
// message - RISK: Number of chargebacks
extern int const risk__number_of_chargebacks;

// description - RISK: Sum on amount of chargebacks
// message - RISK: Sum on amount of chargebacks
extern int const risk__sum_on_amount_of_chargebacks;

// description - RISK: Number of retrieval requests
// message - RISK: Number of retrieval requests
extern int const risk__number_of_retrieval_requests;

// description - RISK: Sum on amount of retrieval requests
// message - RISK: Sum on amount of retrieval requests
extern int const risk__sum_on_amount_of_retrieval_requests;

// description - RISK: Average amount per transaction
// message - RISK: Average amount per transaction
extern int const risk__average_amount_per_transaction;

// description - RISK: Percentage increment of average amount per transaction
// message - RISK: Percentage increment of average amount per transaction
extern int const risk__percentage_increment_of_average_amount_per_transaction;

// description - RISK: Percentage increment of number of transactions
// message - RISK: Percentage increment of number of transactions
extern int const risk__percentage_increment_of_number_of_transactions;

// description - RISK: Total sum on amount
// message - RISK: Total sum on amount
extern int const risk__total_sum_on_amount;

// description - RISK: Percentage increment of total sum on amount
// message - RISK: Percentage increment of total sum on amount
extern int const risk__percentage_increment_of_total_sum_on_amount;

// description - RISK: Minimum amount per transaction
// message - RISK: Minimum amount per transaction
extern int const risk__minimum_amount_per_transaction;

// description - RISK: Maximum amount per transaction
// message - RISK: Maximum amount per transaction
extern int const risk__maximum_amount_per_transaction;

// description - RISK: Number of approved transactions per PAN
// message - RISK: Number of approved transactions per PAN
extern int const risk__number_of_approved_transactions_per_pan;

// description - RISK: Sum on amount of approved transactions per PAN
// message - RISK: Sum on amount of approved transactions per PAN
extern int const risk__sum_on_amount_of_approved_transactions_per_pan;

// description - RISK: Sum on amount of approved transactions per BIN
// message - RISK: Sum on amount of approved transactions per BIN
extern int const risk__sum_on_amount_of_approved_transactions_per_bin;

// description - RISK: Number of approved transactions per PAN and MCC on amount
// message - RISK: Number of approved transactions per PAN and MCC on amount
extern int const risk__number_of_approved_transactions_per_pan_and_mcc_on_amount;

// description - RISK: Number of repeats per IP
// message - RISK: Number of repeats per IP
extern int const risk__number_of_repeats_per_ip;

// description - RISK: Number of repeats per cardholder name
// message - RISK: Number of repeats per cardholder name
extern int const risk__number_of_repeats_per_cardholder_name;

// description - RISK: Number of repeats per cardholder e-mail
// message - RISK: Number of repeats per cardholder e-mail
extern int const risk__number_of_repeats_per_cardholder_e_mail;

// description - Systan mismatch
// message - Systan mismatch
extern int const systan_mismatch;

// description - Blacklisted ip
// message - Blacklisted ip
extern int const blacklisted_ip;

// description - Blacklisted pan
// message - Blacklisted pan
extern int const blacklisted_pan;

// description - Blacklisted bin
// message - Blacklisted bin
extern int const blacklisted_bin;

  

@end