//
//  Transaction.m
//  pay
//
//  Created by Jasmin Suljic on 22/12/16.
//  Copyright © 2016 Webteh.hr. All rights reserved.
//

#import "Transaction.h"

@implementation Transaction

-(id) init:(int)transactionId responseCode:(NSString *)responseCode approvalCode:(NSString *)approvalCode status:(NSString *)status{
    _transactionId = transactionId;
    _responseCode = responseCode;
    _approvalCode = approvalCode;
    _status = status;
    return [self init];
}

-(NSString *) description{
    return [NSString stringWithFormat:@"id: %d, responseCode: %@, approvalCode: %@, status: %@", _transactionId,_responseCode, _approvalCode, _status];
}

+(Transaction *) fromJson:(NSDictionary *)jsonDict{
    
    if (!jsonDict) {
        return nil;
    }else{
        return [[Transaction alloc] init:[[jsonDict valueForKey:@"id"] intValue]
                            responseCode:[jsonDict valueForKey:@"response_code"]
                            approvalCode:[jsonDict valueForKey:@"approval_code"]
                                  status:[jsonDict valueForKey:@"status"]];
    }
}

@end
